SORRY:
I had forgotten to oad my general external directory
(add-to-list 'load-path "~/.emacs.d/..."). I forgot that the clhs.el is what gets compiled when (require 'cl).

On Wed, Jun 2, 2010 at 7:32 PM, joshua bowles <bowlesling@gmail.com> wrote:
Has anyone gotten this:

``cl package required at runtime``


I am able to run Emacs and compile whatever source files I am set up for. I'v looked for places to get cl but nothing ????

I get the meassage when trying to run

emacs -Q -l cedet-build.el -f cedet-build
   
or

jde-compile-jde

Here is the context: I had CEDET and JDE(E) up and running fine for weeks and have built CEDET a few times. Then I re-tooled my .emacs for Ruby, Rails, and Javascript. I noticed that speedbar was not working (I get ``wrong type argument: integerp, (0,0)`` ) and so I tried to build CEDET again (and specifically JDE). But now it turns out that for some reason I am missing(?) the ``cl package''.

I figure there is somethign incompatible with my Ruby, Rails, and Javascript customs in .emacs and have been trying to diagnose it now for over an hour.

((I also get a message when when emacs starts up that my jde.el file is ``newer than byte-compiled``)).

Hoping someone has run across this and can save me some time, thanks.
--
Joshua Bowles
Adjunct Instructor
English Department,
Utah Valley University
current project:
http://sites.google.com/site/linguisticsinai/




--
Joshua Bowles
Adjunct Instructor
English Department,
Utah Valley University
current project:
http://sites.google.com/site/linguisticsinai/